import "./tasks/VEP.wdl" as VEP

workflow {{ project_name }} {
  
  File vcf
  String sample_id
  File ref_dir
  String fasta
  String vep_path
  File cache
  String ncbi_build
  String species
  String vcf2maf_path
  String vep_docker
  String cluster_config
  String disk_size

  call VEP.VEP as VEP {
    input: 
    vcf=vcf,
    sample_id=sample_id,
    tumor_id=sample_id + ".T",
    normal_id=sample_id + ".N",
    ref_dir=ref_dir,
    fasta=fasta,
    vep_path=vep_path,
    cache=cache,
    ncbi_build=ncbi_build,
    species=species,
    vcf2maf_path=vcf2maf_path,
    docker=vep_docker,
    cluster_config=cluster_config,
    disk_size=disk_size
  }
}